org.kie.internal.query

## Interface ExtendedParametrizedQueryBuilder<T,R>

- Type Parameters:
    `T` - The type of `ParametrizedQueryBuilder` instance being implemented. This type is here to facilitate the building of a fluent interface.
    `R` - The type of the result list being returned by the generated `ParametrizedQuery`
  All Superinterfaces:
    ParametrizedQueryBuilder<T>
  All Known Subinterfaces:
    AuditLogQueryBuilder<T,R>, AuditTaskQueryBuilder, ErrorInfoQueryBuilder, NodeInstanceLogQueryBuilder, ProcessIdQueryBuilder<T,R>, ProcessInstanceIdQueryBuilder<T,R>, ProcessInstanceLogQueryBuilder, RequestInfoQueryBuilder, TaskAuditQueryBuilder<T,R>, TaskEventQueryBuilder, TaskSummaryQueryBuilder, TaskVariableQueryBuilder, VariableInstanceLogQueryBuilder

      public interface ExtendedParametrizedQueryBuilder<T,R>
      extends ParametrizedQueryBuilder<T>

  This is the base interface for all `ParametrizedQueryBuilder` implementations. It includes the basic query functions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParametrizedQuery<R>` | `build()` Create the `ParametrizedQuery` instance that can be used to retrieve the results, a `List` instance.
    `T` | `endGroup()` Query criteria which are added to the query after this method are "AND" or "intersection" criteria.
    `T` | `newGroup()` Query criteria which are added to the query after this method are "AND" or "intersection" criteria.

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### newGroup

          T newGroup()

      Query criteria which are added to the query after this method are "AND" or "intersection" criteria. In other words, the query will only return results which match all of the criteria added (as opposed to returning results that match any of the criteria added).
      Returns:
        the current query builder instance

    - #### endGroup

          T endGroup()

      Query criteria which are added to the query after this method are "AND" or "intersection" criteria. In other words, the query will only return results which match all of the criteria added (as opposed to returning results that match any of the criteria added).
      Returns:
        the current query builder instance

    - #### build

          ParametrizedQuery<R> build()

      Create the `ParametrizedQuery` instance that can be used to retrieve the results, a `List` instance. Further modifications to the `TaskQueryBuilder` instance will not affect the query criteria used in the `ParametrizedQuery` produced by this method.
      Returns:
        The results of the query

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.